libnvme(2)

NAME
struct nvme_persistent_event_log - Persistent Event Log

SYNOPSIS
struct nvme_persistent_event_log {
__u8 lid;
__u8 rsvd1[3];
__le32 tnev;
__le64 tll;
__u8 rv;
__u8 rsvd17;
__le16 lhl;
__le64 ts;
__u8 poh[16];
__le64 pcc;
__le16 vid;
__le16 ssvid;
char sn[20];
char mn[40];
char subnqn[NVME_NQN_LENGTH];
__le16 gen_number;
__le32 rci;
__u8 rsvd378[102];
__u8 seb[32];
};

Members

lid Log Identifier

rsvd1
    Reserved

tnev
    Total Number of Events

tll Total Log Length

rv  Log Revision

rsvd17
    Reserved

lhl Log Header Length

ts  Timestamp

poh Power on Hours

pcc Power Cycle Count

vid PCI Vendor ID

ssvid
    PCI Subsystem Vendor ID

sn  Serial Number

mn  Model Number

subnqn
    NVM Subsystem NVMe Qualified Name

gen_number
    Generation Number

rci Reporting Context Information

rsvd378
    Reserved

seb Supported Events Bitmap